package com.nemrodsoftware.exception;

import java.util.List;

public class OperationException extends Exception
{
    private static final long serialVersionUID = 8201264312151828694L;

    private List<String> errors;
    private Integer status;
    
    public OperationException(String msg)
    {
        super(msg);
    }
    
    public OperationException(Integer status, String msg, List<String>errors)
    {
        super(msg);
        this.setErrors(errors);
    }

    @Override
    public String getMessage()
    {
        return "Unable to communicate with Nemrod [Http error code=" + status + ", detail=" + super.getMessage() + ", errors=" + errors + "]";
    }

    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    public void setErrors(List<String> errors)
    {
        this.errors = errors;
    }

    public List<String> getErrors()
    {
        return errors;
    }
}
